binning {prospectr} | R Documentation

## Signal binning

### Description

Compute average values of a signal in pre-determined bins (col-wise subsets). The bin size can be determined either directly or by specifying the number of bins. Sometimes called boxcar transformation in signal processing

### Usage

    binning(X,bins,bin.size)

### Arguments

`X` | numeric `data.frame`, `matrix` or `vector` to process
`bins` | number of bins
`bin.size` | desired size of the bins

### Value

a `matrix` or `vector` with average values per bin

### Author(s)

Antoine Stevens & Leonardo Ramirez-Lopez

### See Also

`sgolayfilt`, `savitzkyGolay`, `movav`, `gapDer`, `continuumRemoval`

### Examples

    data(NIRsoil)
    spc <- 1/10^NIRsoil$spc # conversion to reflectance
    wav <- as.numeric(colnames(spc))
    matplot(wav,t(spc[1:5,]),type='l',xlab='Wavelength /nm',ylab='Reflectance') # 5 first spectra
    binned <- binning(spc,bin.size=20)
    matpoints(as.numeric(colnames(binned)),t(binned[1:5,]),pch=1:5) # bin means
    binned <- binning(spc,bins=20)
    dim(binned) # 20 bins
    matplot(wav,t(spc[1:5,]),type='l',xlab='Wavelength /nm',ylab='Reflectance') # 5 first spectra
    matpoints(as.numeric(colnames(binned)),t(binned[1:5,]),pch=1:5) # bin means

[Package prospectr version 0.1.3 Index]